/// <reference types="react" />
export declare type BorderStyle = {
    color?: string;
    strokeDash?: number[];
};
export declare type CellAttrs = {
    x: number;
    y: number;
    width: number;
    height: number;
    value?: string;
    key?: string;
    type?: string;
    ownKey: string;
    fill?: string;
    ismerge?: string[];
    borderStyle?: BorderStyle;
    fontWeight?: string | boolean;
    textColor?: string;
    verticalAlign?: string;
    align?: string;
    fontFamily?: string;
    fontSize?: number;
    fontItalic?: string | boolean;
    textDecoration?: string | boolean;
} | null;
export declare type CellMap = {
    [key: string]: CellAttrs;
};
export declare type SelectArea = {
    left: number;
    top: number;
    bottom: number;
    right: number;
    border?: boolean;
} | null;
export declare class CellStore {
    mergeCell(list: CellAttrs[]): void;
    splitCell(list: CellAttrs[]): void;
    fillCell(color: string, list: CellAttrs[]): void;
    areaHeaderCell(ownKey: string): void;
    areaLeftCell(ownKey: string): void;
    changeWidth(ownKey: string, newwidth: number, newx: number): void;
    changeHeight(ownKey: string, newheight: number): void;
    setSelectFillAreaCell(area: SelectArea, current: CellAttrs): void;
    setSelectArea(o: SelectArea): void;
    setActiveCell(o: CellAttrs): void;
    setSelectFillArea(o: SelectArea): void;
    cellsMap: CellMap;
    selectArea: SelectArea;
    selectFillArea: SelectArea;
    activeCell: CellAttrs;
    selectStart: CellAttrs;
    selectEnd: CellAttrs;
}
export declare const CellStoreContext: import("react").Context<CellStore>;
